CobolAlphanumeric (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.lang.internal.CobolAlphanumeric class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.lang.internal
Class CobolAlphanumeric

    java.lang.Object
      com.microfocus.cobol.lang.internal.CobolBytes
          com.microfocus.cobol.lang.internal.CobolField
              com.microfocus.cobol.lang.internal.CobolAlphanumeric

Direct Known Subclasses:
  CobolGroup

public class CobolAlphanumeric
extends CobolField

Field Summary

Fields inherited from class com.microfocus.cobol.lang.internal.CobolField
`descriptor, F_BWZ, F_DBCS, F_EBCDIC, F_IBMCOMP, F_NONE, F_TRUNC, occurs, S_LEADING_INCLUDED, S_LEADING_SEPARATE, S_SIGNED_DEFAULT, S_TRAILING_INCLUDED, S_TRAILING_SEPARATE, S_UNSIGNED, T_ALPHANUMERIC, T_BCD, T_BINARY, T_DISPLAY, T_EDITED_ALPHANUMERIC, T_EDITED_DISPLAY, T_EDITED_FLOAT, T_FLOAT, T_PORTABLE_BINARY, T_UBCD`

Fields inherited from class com.microfocus.cobol.lang.internal.CobolBytes
`length, offset, record`

Constructor Summary
`CobolAlphanumeric(CobolRecord record, int id, int offset, int length, int flags)` Creates a new Cobol alphanumeric data item.
`CobolAlphanumeric(CobolRecord record, int id, int offset, int length, int occurs, int flags)` Creates a new Cobol alphanumeric data item.
`CobolAlphanumeric(CobolRecord record, int id, int offset, int length, int occurs, int flags, String picture)` Creates a new Cobol alphanumeric-edited data item.
`CobolAlphanumeric(CobolRecord record, int id, int offset, int length, int flags, String picture)` Creates a new Cobol alphanumeric-edited data item.

Method Summary
`void` | `setString(String data)` Set the CobolAlphanumeric to the specified String value
`String` | `toString()` Convert the CobolAlphanumeric to its String representation

Methods inherited from class com.microfocus.cobol.lang.internal.CobolBytes
`getBytesValue, getRecord, setBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CobolAlphanumeric

    public CobolAlphanumeric(CobolRecord record,
                             int id,
                             int offset,
                             int length,
                             int occurs,
                             int flags)

  Creates a new Cobol alphanumeric data item.

Parameters:
  `record` - The record area containing the data item
  `id` - An identifier for the data item that is unique within the record. Zero if none specified
  `offset` - The offset of the data item within the record area. (0 = start)
  `length` - The number of bytes in the data item
  `occurs` - The number of array entries
  `flags` - Additional type information. Valid flags are F_NONE, F_EBCDIC, F_DBCS
See Also:
  `ICobolType`

### CobolAlphanumeric

    public CobolAlphanumeric(CobolRecord record,
                             int id,
                             int offset,
                             int length,
                             int flags)

  Creates a new Cobol alphanumeric data item.

Parameters:
  `record` - The record area containing the data item
  `id` - An identifier for the data item that is unique within the record. Zero if none specified
  `offset` - The offset of the data item within the record area. (0 = start)
  `length` - The number of bytes in the data item
  `flags` - Additional type information. Valid flags are F_NONE, F_EBCDIC, F_DBCS
See Also:
  `ICobolType`

### CobolAlphanumeric

    public CobolAlphanumeric(CobolRecord record,
                             int id,
                             int offset,
                             int length,
                             int occurs,
                             int flags,
                             String picture)

  Creates a new Cobol alphanumeric-edited data item.

Parameters:
  `record` - The record area containing the data item
  `id` - An identifier for the data item that is unique within the record. Zero if none specified
  `offset` - The offset of the data item within the record area. (0 = start)
  `length` - The number of bytes in the data item
  `occurs` - The number of array entries
  `flags` - Additional type information. Valid flags are F_NONE, F_EBCDIC, F_DBCS
  `picture` - The Cobol picture clause of the alphanumeric edited data item
See Also:
  `ICobolType`

### CobolAlphanumeric

    public CobolAlphanumeric(CobolRecord record,
                             int id,
                             int offset,
                             int length,
                             int flags,
                             String picture)

  Creates a new Cobol alphanumeric-edited data item.

Parameters:
  `record` - The record area containing the data item
  `id` - An identifier for the data item that is unique within the record. Zero if none specified
  `offset` - The offset of the data item within the record area. (0 = start)
  `length` - The number of bytes in the data item.
  `flags` - Additional type information. Valid flags are F_NONE, F_EBCDIC, F_DBCS
  `picture` - The Cobol picture clause of the alphanumeric edited data item.
See Also:
  `ICobolType`

Method Detail

### setString

    public void setString(String data)
                   throws CobolRecordException

  Set the CobolAlphanumeric to the specified String value

  Specified by:
    `setString` in class `CobolField`
  Throws:
    `CobolRecordException` - If an error occurs

### toString

    public String toString()

  Convert the CobolAlphanumeric to its String representation

  Specified by:
    `toString` in class `CobolField`
  Returns:
    the String representing this CobolAlphanumeric item

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.